<?php
if(1==1){
	if(gn("count(*)","almacenes","")==0){
		ejt("INSERT INTO almacenes VALUES (1,'TIENDA 1','LOC 1','','','')");
		//ejt("INSERT INTO almacenes VALUES (2,'TIENDA 2','LOC 2','','','')");
	}
		
	if(gn("count(*)","personal","id_personal=0")==0){
		ejt("INSERT INTO personal VALUES (0,'','',0,'1900-01-01','','','','1900-01-01','',0)");
	}
	if(gn("count(*)","bancos","id_banco=0")==0)ejt("INSERT INTO bancos VALUES (0,'')");
	if(gn("count(*)","egresos_tipos","id_et=0")==0)ejt("INSERT INTO egresos_tipos VALUES (0,'')");
	if(gn("count(*)","lineas","id_linea=0")==0)ejt("INSERT INTO lineas VALUES (0,'','')");
	if(gn("count(*)","marcas","id_marca=0")==0)ejt("INSERT INTO marcas VALUES (0,'')");
	if(gn("count(*)","unidades","id_unidad=0")==0)ejt("INSERT INTO unidades VALUES (0,'')");
	if(gn("count(*)","distritos","id_distrito=0")==0){
		ejt("INSERT INTO distritos VALUES (0,'')");
		$s="INSERT INTO distritos (id_distrito,dis_nombre)
			SELECT @row := @row + 1 as row,DIS FROM lista_ubigeo ,(SELECT @row := 0) r 
			WHERE DEP='LIMA' OR DEP='CALLAO' ORDER BY DIS ";
		ejt($s);
	}
	if(gn("count(*)","clientes_tipos","id_clit=0")==0)ejt("INSERT INTO clientes_tipos VALUES(0,'')");
	if(gn("count(*)","clientes_tipos","id_clit=1")==0)ejt("INSERT INTO clientes_tipos VALUES(1,'NATURAL')");
	if(gn("count(*)","clientes_tipos","id_clit=2")==0)ejt("INSERT INTO clientes_tipos VALUES(2,'JURIDICA')");
	if(gn("count(*)","proveedores","id_proveedor=0")==0)ejt("INSERT INTO proveedores VALUES (0,'','','',0,'','','','','','')");
	if(gn("count(*)","productos","id_producto=0")==0)ejt("INSERT INTO productos VALUES (0,'',0,'',0,0,0,0,0,'',0,0,0,0,0)");
	if(gn("count(*)","clientes","id_cliente=0")==0)ejt("INSERT INTO clientes VALUES (0,'','','',0,'','','','','','',0)");
	if(gn("count(*)","cargos","id_cargo=0")==0)ejt("INSERT INTO cargos VALUES (0,'')");
	if(gn("count(*)","valores","dato='T_CAMBIO'")==0)ejt("INSERT INTO valores VALUES('T_CAMBIO','1')");
	if(gn("count(*)","comprobantes","id_comprobante=0")==0)ejt("INSERT INTO comprobantes VALUES(0,'')");
	if(gn("count(*)","comprobantes","id_comprobante=1")==0)ejt("INSERT INTO comprobantes VALUES(1,'FACTURA')");
	if(gn("count(*)","comprobantes","id_comprobante=2")==0)ejt("INSERT INTO comprobantes VALUES(2,'BOLETA')");
	if(gn("count(*)","comprobantes","id_comprobante=3")==0)ejt("INSERT INTO comprobantes VALUES(3,'NOTA DE VENTA')");
	if(gn("count(*)","comprobantes","id_comprobante=4")==0)ejt("INSERT INTO comprobantes VALUES(4,'TICKET')");
	if(gn("count(*)","comprobantes","id_comprobante=5")==0)ejt("INSERT INTO comprobantes VALUES(5,'RECIBO')");
	if(gn("count(*)","comprobantes","id_comprobante=6")==0)ejt("INSERT INTO comprobantes VALUES(6,'GUIA')");
	if(gn("count(*)","comprobantes","id_comprobante=7")==0)ejt("INSERT INTO comprobantes VALUES(7,'OTROS')");
	if(gn("count(*)","comprobantes","id_comprobante=8")==0)ejt("INSERT INTO comprobantes VALUES(8,'NINGUNO')");
	if(gn("count(*)","comprobantes","id_comprobante=-1")==0){
		ejt("INSERT INTO comprobantes VALUES(-1,'TRANSFERENCIA')");
	}
	if(gn("count(*)","comprobantes","id_comprobante=-3")==0){
		ejt("INSERT INTO comprobantes VALUES(-3,'PROFORMA')");
	}
	if(gn("count(*)","comprobantes","id_comprobante=-2")==0){
		ejt("INSERT INTO comprobantes VALUES(-2,'NOTA DE PEDIDO')");
	}

	//COMPROBANTES
	if(gn("count(*)","monedas","id_moneda='S'")==0){
		ejt("INSERT INTO monedas VALUES ('S','SOLES')");
	}
	if(gn("count(*)","monedas","id_moneda='D'")==0){
		ejt("INSERT INTO monedas VALUES ('D','DOLARES')");
	}
	if(gn("count(*)","tipos_pagos","id_tip_pag='CO'")==0){
		ejt("INSERT INTO tipos_pagos VALUES ('CO','CONTADO')");
	}
	if(gn("count(*)","tipos_pagos","id_tip_pag='CR'")==0){
		ejt("INSERT INTO tipos_pagos VALUES ('CR','CREDITO')");
	}
	if(gn("count(*)","usuarios","id_usuario=0")==0){
		ejt("INSERT INTO usuarios VALUES (0,'SYS','SYS',0,'','SI','1','1','1','1','1')");
	}
	
	
	//FORMAS DE PAGO
	if(gn("count(*)","fpagos","")==0){
		ejt("INSERT INTO fpagos VALUES(0,'','')");
		ejt("INSERT INTO fpagos VALUES(1,'EFECTIVO','EFE')");
		ejt("INSERT INTO fpagos VALUES(2,'LETRA','LET')");
		ejt("INSERT INTO fpagos VALUES(3,'CHEQUE','CHE')");
		ejt("INSERT INTO fpagos VALUES(4,'DEPOSITO','DEP')");
		ejt("INSERT INTO fpagos VALUES(5,'TRANSFERENCIA','TRA')");
		ejt("INSERT INTO fpagos VALUES(6,'SEGUN ACUERDO','SA')");
	}
}
?>